* {
    box-sizing: border-box;
}

header {
    height: 50%;
    font-size: 4rem;
    background-color: #021E73;
    color: white;
    text-align: center;
}

#primary-container {
    display: flex;
    flex-direction: row;
    padding-top: 0.5rem;
}

/* input and submit button */
.form-label {
    font-size: 1.5rem;
    font-weight: 500;
    padding-left: 0.5rem;
}

/* form and cities previously viewed cities */
.btn {
    width: 100%;
}

#line {
    width: 94%;
    margin:0 auto;
    display: none;
}

#search-history {
    height: 100%;
    display: flex;
    flex-direction: column;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    padding-top: 0.5rem;
}

#search-results {
    display: flex;
    flex-direction: column;
    width: 25%;
}

.search {
    background-color: #91D7F2;
    color: #022859;
}

button {
    margin: 0.5rem;
}

.holder {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* current weather and 5-day forecast */
#weather-section {
    display: flex;
    flex-direction: column;
    width: 70%;
    padding-right: 0.5rem;
}

#current-weather {
    display: none;
    border: 2px solid black;
    height: fit-content;
    padding: 1rem;
}

#forecast-container {
    display: none;
    padding-top: 1rem;
}

#forecast-card-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.col-2 {
    background-color: #0367A6;
    color: #F2F2F2;
    border: #F2F2F2 2px solid;
    text-align: center;
    width: 20%;
    padding: 0.5rem;
}
